/* WeightLogWidget.h */

/*
    WEIGHT nutrition software 
    Copyright (C) 1996-2014 by Jim Jozwiak.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef WEIGHTLOGWIDGET_H
#define WEIGHTLOGWIDGET_H

#include "Nut_Button.h"
#include "BodyFatValueOutput.h"

class PersonalOptions;

class WeightLogWidget : public Fl_Group
{
public:
WeightLogWidget(int x, int y, int w, int h, Fl_Color widgetcolor, PersonalOptions *po);
void initialize(int *n, int *nfat, float *weightyintercept, float *fatyintercept);
void accept(void);
void clear(void);

private:
Nut_ValueOutput *wvo;
BodyFatValueOutput *bfvo;
Nut_Button *mb, *cwb;
PersonalOptions *po;
};

#endif
